<?php
/*
# ------------------------------------------------------------------------
# JA Google Translate plugin for Joomla 1.6.x
# ------------------------------------------------------------------------
# Copyright (C) 2004-2009 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
# @license - Copyrighted Commercial Software
# Author: J.O.O.M Solutions Co., Ltd
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# This file may not be redistributed in whole or significant part.
# ------------------------------------------------------------------------
*/
$aLangSelect = $this->aLangSelect;
$aLangSupport = $this->aLangSupport;
$lang_width = $this->lang_width;
$lang_columns = $this->lang_columns;
$link_style = $this->link_style;
?>
	<div class="ja-translate" id="ja-translate-{block_id}">
        <a href="#" onclick="return oJaTranslate.toggleLanguages('{block_id}');" class="translate-link" title="<?php echo JText::_('TRANSLATE'); ?>">
        <?php if($link_style == 'icon' || $link_style == 'both'): ?>
        <img src="<?php echo $this->plgUrl.'images/translate.png'; ?>" alt="<?php echo JText::_('TRANSLATE'); ?>" />
        <?php endif; ?>
        <?php if($link_style == 'text' || $link_style == 'both'): ?>
		<?php echo JText::_('TRANSLATE'); ?> 
        <?php endif; ?>
        <img id="ja-translate-loading-{block_id}" src="<?php echo $this->plgUrl.'images/loading.gif'; ?>" alt="<?php echo JText::_('TRANSLATING'); ?>" style="display:none;" />
        </a> 
        <br />
        <div id="ja-translate-languages-{block_id}" class="ja-tranlate-languages" style="display:none;">
        	<div class="languages" style="width:<?php echo $lang_width; ?>px;">
            <?php 
            for($i=0; $i<count($aLangSelect); $i++): 
            $code = $aLangSelect[$i];
            $language = strtolower(JText::_($aLangSupport[$code]));
            ?>
            <a id="ja-lang-{block_id}-<?php echo $code; ?>" class="total-col-<?php echo $lang_columns; ?>" href="#" onclick="return oJaTranslate.translate('{block_id}', '<?php echo $code; ?>');" title="<?php echo $language; ?>">
                <img src="<?php echo $this->plgUrl.'images/flags/'.$code.'.png'; ?>" class="ja-translate-flags" alt="[<?php echo $code; ?>]" title="<?php echo $language; ?>" />
                <?php echo $language; ?>
            </a>
            <?php endfor; ?>
            </div>
        </div>
        
        <div id="ja-translate-backup-{block_id}" class="ja-translate-backup">
        <span class="ja-translate-title">{title}</span>
        </div>
        <span id="ja-backup-title-{block_id}" class="ja-translate-title">{title}</span>
        
        <div id="ja-translate-js-{block_id}" class="ja-translate-js">
        </div>
    
		<script type="text/javascript">
        window.addEvent('domready', function() {
            oJaTranslate.saveOriginalContent('{block_id}');
        });
        </script>
    </div>